Time entry query : column week
Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version: 3.2.0

Resolution: Fixed

Description

Related issues:
Related to Redmine - Defect #26780: Translation for label_week in time report... Closed

Associated revisions

Revision 14723 - 2015-10-21 20:30 - Jean-Philippe Lang

Adds week column to time entries list (#20221).

History

#1 - 2015-07-01 18:45 - Jérome BATAILLE

- File RM_20221_time_entry_query_column_week.diff added
Here is the patch working on any version of Redmine.

Please feel free to integrate this straightforward patch

#2 - 2015-07-30 03:14 - Toshi MARUYAMA

Could you add tests?

e source:tags/3.1.0/test/unit/time_entry query_test.rb
e source:tags/3.1.0/test/functional/timelog_controller_test.rb

#3 - 2015-08-14 00:33 - Jérome BATAILLE
- File RM_20221_Time_entry_query_column_week_Tests.diff added

Here is a patch, only the unit test, there is no controller test about queries available columns

#4 - 2015-09-09 01:55 - Toshi MARUYAMA

- Target version set to 3.2.0

#5 - 2015-10-19 19:21 - Jean-Philippe Lang

Does it make sense to display the week number without the year? Sorting on this column will result in time entries from different years appear with the
same week.

#6 - 2015-10-19 23:14 - Jérome BATAILLE
Jean-Philippe Lang wrote:
Does it make sense to display the week number without the year? Sorting on this column will result in time entries from different years appear
with the same week.
| don't see a use case that makes this sort useful, but on the other hand displaying this column is useful to have the week number without duplicating
informations in other columns (spent_on). The yyyy-ww sort can be done with spent_on.

Thank to have added this patch to 3.2.0

If you have some time to review my other pending patches | will be very pleased !
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.1.0/test/unit/time_entry_query_test.rb
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.1.0/test/functional/timelog_controller_test.rb

#7 - 2015-10-19 23:57 - Jean-Philippe Lang
Jérome BATAILLE wrote:

| don't see a use case that makes this sort useful

Just asking... because the patch makes it sortable.
#8 - 2015-10-20 00:03 - Jérome BATAILLE
Jean-Philippe Lang wrote:

Just asking... because the patch makes it sortable.

We are at the frontier of YAGNI :-) | can't see a use case, but perhaps some folks will, and adding the sort costs nothing.

#9 - 2015-10-21 20:31 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Column added in r14723. But sort is done on spent_on, as sorting by week number does make no sense when we have time entries on several years.

#10 - 2015-10-22 00:15 - Jérome BATAILLE

Thanks a lot !

#11 - 2017-08-28 18:23 - Toshi MARUYAMA

- Related to Defect #26780: Translation for label_week in time report is not working added

Files
RM_20221_time_entry_query_column_week.diff 910 Bytes 2015-07-01 Jérdme BATAILLE
RM_20221_Time_entry_query_column_week_Tests.diff 963 Bytes 2015-08-13 Jérdme BATAILLE
